package com.ywt.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

@Entity
@Table(name = "mg_admin_right_view")
public class MgAdminRightView implements Serializable {

    /**
     * 对应mg_admin表 id
     */
    @Id
    @Column(name = "id")
    private String id;

    @Column(name = "admin_id")
    private Integer adminId;

    @Column(name = "right_id")
    private Integer rightId;

    /**
     * 对应mg_right表 name
     */
    @Column(name = "right_name")
    private String rightName;

    /**
     * 对应mg_right表 code
     */
    @Column(name = "right_code")
    private String rightCode;

    /**
     * 对应mg_right表 parent_id
     */
    @Column(name = "right_parent_id")
    private Integer rightParentId;

    /**
     * 对应mg_sys_module表主键sys_module_id
     */
    @Column(name = "sys_module_id")
    private Integer sysModuleId;

    /**
     * 对应mg_sys_module表 appid
     */
    @Column(name = "appid")
    private String appid;

    public String getId() {
        return id;
    }

    public Integer getAdminId() {
        return adminId;
    }

    public Integer getRightId() {
        return rightId;
    }

    public String getRightName() {
        return rightName;
    }

    public String getRightCode() {
        return rightCode;
    }

    public Integer getRightParentId() {
        return rightParentId;
    }

    public Integer getSysModuleId() {
        return sysModuleId;
    }

    public String getAppid() {
        return appid;
    }
}
